Bug 1566140 - pyanaconda.bootloader.BootLoaderError: could not find IPL device
Summary: pyanaconda.bootloader.BootLoaderError: could not find IPL device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: s390utils
Version: 28
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:75f527f7eb596817ea3843708d3...
Depends On:
Blocks: ZedoraTracker F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-04-11 15:29 UTC by Dan Horák
Modified: 2018-04-19 22:06 UTC (History)
11 users (show)

Fixed In Version: s390utils-2.3.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-19 22:06:53 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (3.13 MB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: anaconda.log (46.55 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: dbus.log (3.17 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: dnf.librepo.log (508.38 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: environ (636 bytes, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: hawkey.log (7.22 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: lorax-packages.log (27.14 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: lsblk_output (2.77 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: lvm.log (1.23 MB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: nmcli_dev_list (1.61 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: os_info (529 bytes, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: program.log (86.95 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: storage.log (376.50 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: syslog (341.23 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: ifcfg.log (1.84 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details
File: packaging.log (250.53 KB, text/plain)
2018-04-11 15:29 UTC, Dan Horák
no flags Details

Description Dan Horák 2018-04-11 15:29:22 UTC
Description of problem:
Iit's z/VM guest being installed both from CMS or by adding an entry to zipl.conf and rebooting to it (the RTT automated way). It happens close to the end of installation when bootloader is actually installed.

Version-Release number of selected component:
anaconda-28.22.3

The following was filed automatically by anaconda:
anaconda 28.22.3 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2280, in install
    raise BootLoaderError("could not find IPL device")
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 986, in write
    self.install()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2473, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2552, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 361, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
pyanaconda.bootloader.BootLoaderError: could not find IPL device

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   ro ramdisk_size=40000 cio_ignore=all,!condev rd.dasd=200-207 vnc                ip=10.16.104.70::10.16.111.254:21:devel7.s390.bos.redhat.com:enc800:none        rd.znet=qeth,0.0.0800,0.0.0801,0.0.0802,layer2=0,portno=0                       repo=https://kojipkgs.fedoraproject.org/compose/branched/Fedora-28-20180410.n.1/compose/Everything/s390x/os/                                                    root=live:https://kojipkgs.fedoraproject.org/compose/branched/Fedora-28-20180410.n.1/compose/Everything/s390x/os/images/install.img                             nameserver=10.11.5.19
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.0-0.rc4.git0.1.fc28.s390x
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Comment 1 Dan Horák 2018-04-11 15:29:31 UTC
Created attachment 1420414 [details]
File: anaconda-tb

Comment 2 Dan Horák 2018-04-11 15:29:32 UTC
Created attachment 1420415 [details]
File: anaconda.log

Comment 3 Dan Horák 2018-04-11 15:29:33 UTC
Created attachment 1420416 [details]
File: dbus.log

Comment 4 Dan Horák 2018-04-11 15:29:36 UTC
Created attachment 1420417 [details]
File: dnf.librepo.log

Comment 5 Dan Horák 2018-04-11 15:29:37 UTC
Created attachment 1420418 [details]
File: environ

Comment 6 Dan Horák 2018-04-11 15:29:38 UTC
Created attachment 1420419 [details]
File: hawkey.log

Comment 7 Dan Horák 2018-04-11 15:29:39 UTC
Created attachment 1420420 [details]
File: lorax-packages.log

Comment 8 Dan Horák 2018-04-11 15:29:41 UTC
Created attachment 1420421 [details]
File: lsblk_output

Comment 9 Dan Horák 2018-04-11 15:29:44 UTC
Created attachment 1420422 [details]
File: lvm.log

Comment 10 Dan Horák 2018-04-11 15:29:45 UTC
Created attachment 1420423 [details]
File: nmcli_dev_list

Comment 11 Dan Horák 2018-04-11 15:29:46 UTC
Created attachment 1420424 [details]
File: os_info

Comment 12 Dan Horák 2018-04-11 15:29:48 UTC
Created attachment 1420425 [details]
File: program.log

Comment 13 Dan Horák 2018-04-11 15:29:50 UTC
Created attachment 1420426 [details]
File: storage.log

Comment 14 Dan Horák 2018-04-11 15:29:52 UTC
Created attachment 1420427 [details]
File: syslog

Comment 15 Dan Horák 2018-04-11 15:29:53 UTC
Created attachment 1420428 [details]
File: ifcfg.log

Comment 16 Dan Horák 2018-04-11 15:29:55 UTC
Created attachment 1420429 [details]
File: packaging.log

Comment 17 Dan Horák 2018-04-11 15:33:04 UTC
Seems I forgot to update kernel/initrd when installing from CMS, will recheck.

Comment 18 Dan Horák 2018-04-11 15:52:26 UTC
Same problem even with the up-to-date boot kernel/initrd.

Comment 19 Fedora Blocker Bugs Application 2018-04-11 15:53:58 UTC
Proposed as a Freeze Exception for 28-final by Fedora user sharkcz using the blocker tracking app because:

 It fails to install the bootloader rendering the system unbootable after the installation.

Comment 20 Dan Horák 2018-04-12 09:47:18 UTC
I've rechecked the F-28 Beta compose (Fedora-28-20180328.1) and is it OK. I've also checked previous branched composes and the problem exists even in Fedora-28-20180331.n.1 This one contains all the accumulated changes from the beta freeze, details in https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/UDJJS6LNQFFI6575PNTCVJ5YIXT6QOGF/.

Comment 21 Vendula Poncova 2018-04-12 16:38:53 UTC
The exception is raised, because zipl fails with a message:
Error: Internal error: Size mismatch of FBA stage 0 loader

Reassigning to s390utils.

Comment 22 Thomas Huth 2018-04-13 04:57:49 UTC
FWIW, I just upgraded one of my s390x KVM guests from F27 to F28, and after the update, I get the same error when running zipl:

# zipl
Error: Internal error: Size mismatch of FBA stage 0 loader
# zipl -h
Error: Internal error: Size mismatch of FBA stage 0 loader
# zipl -v
Error: Internal error: Size mismatch of FBA stage 0 loader
# rpm -qf /usr/sbin/zipl
s390utils-base-2.3.0-2.fc28.s390x

Comment 23 Dan Horák 2018-04-13 06:20:37 UTC
Thanks to you both. It should be https://src.fedoraproject.org/rpms/s390utils/c/7b458c246c1e7fd182ff03b511c66993b9b4b208?branch=master breaking it then, looking ...

Comment 24 Thomas Huth 2018-04-13 07:42:19 UTC
Yes, seems so - I manually downgraded to s390utils-2.3.0-1.fc28.s390x.rpm  and then zipl is working again.

Comment 25 Dan Horák 2018-04-13 09:00:10 UTC
So it's a problem with PIE on the data describing the bootloader stage[012] binary images (data.o built in the boot/ directory).

Comment 26 Fedora Update System 2018-04-13 09:36:01 UTC
s390utils-2.3.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a7895e9f2

Comment 27 Dan Horák 2018-04-13 12:51:04 UTC
https://github.com/ibm-s390-tools/s390-tools/pull/30 opened for a proper upstream investigation and fix

Comment 28 Fedora Update System 2018-04-15 02:25:35 UTC
s390utils-2.3.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a7895e9f2

Comment 29 František Zatloukal 2018-04-17 10:17:02 UTC
Discussed during the 2018-04-16 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made:

"This is an install time issue (so can't be fully fixed with updates) and is quite serious, would be a blocker on release-blocking arches, so is obviously accepted as an FE"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-16/f28-blocker-review.2018-04-16-16.00.log.txt

Comment 30 Fedora Update System 2018-04-19 22:06:53 UTC
s390utils-2.3.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.